Version 6.7.7 Source
Single

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `publish` | Check | Publish Items to Hub |
2 | `section_break_2` | Section Break |  |
3 | `publish_pricing` | Check | Publish Pricing |
4 | `publish_availability` | Check | Publish Availability |
5 | `column_break_5` | Column Break |  |
6 | `sync_now` | Button | Sync Now |
    sync
7 | `section_break_6` | Section Break |  |
8 | `seller_name` | Data | Seller Name |
9 | `seller_country` | Link | Seller Country | Country
10 | `seller_email` | Data | Seller Email |
    Email
11 | `column_break_10` | Column Break |  |
12 | `seller_city` | Data | Seller City |
13 | `seller_website` | Data | Seller Website |
14 | `section_break_13` | Section Break |  |
15 | `seller_description` | Text Editor | Seller Description |
16 | `name_token` | Data | Name Token |
17 | `access_token` | Data | Access Token |

### Controller

#### erpnext.hub_node.doctype.hub_settings.hub_settings

### Class HubSettings

Inherits from frappe.model.document.Document

get_args (self)

No docs

publish_selling_items (self)

Set `publish_in_hub`=1 for all Sales Items

register (self)

Register at hub.erpnext.com, save `name_token` and `access_token`

sync (self, verbose=True)

Sync items with hub.erpnext.com

unpublish (self)

Unpublish from hub.erpnext.com

update_seller_details (self)

Update details at hub.erpnext.com

validate (self)

No docs